classification
Title: Information about CodeType in inspect documentation is outdated
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, xiang.zhang
Priority: normal Keywords: patch

Created on 2016-05-09 14:11 by xiang.zhang, last changed 2017-04-13 03:38 by xiang.zhang. This issue is now closed.

Files
File name Uploaded Description Edit
inspect_doc.patch xiang.zhang, 2016-05-10 03:09 review
Pull Requests
URL Status Linked Edit
PR 1090 merged xiang.zhang, 2017-04-12 10:16
PR 1099 merged xiang.zhang, 2017-04-13 02:53
PR 1100 merged xiang.zhang, 2017-04-13 02:53
Messages (9)
msg265197 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-05-09 14:11
Information about CodeType in inspect documentation is outdated. It lacks attributes: co_kwonlyargcount, co_freevars, co_cellvars. And co_flags lacks many more options. These also apply to the comments of inspect.iscode source code.
msg265222 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-05-10 03:09
Attach patch.
msg267841 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-06-08 12:06
I prefer to not duplicate the list in Lib/inspect.py. We did similar docstring cleanups in several modules (venv for example) recently.
msg268030 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-06-09 15:19
So maybe remove the docstring entirely?
msg268033 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-06-09 15:41
"Return true if the object is a code object." should stay. We can add a short sentence to refer people to the inspect documentation for the list of co_* attributes.
msg268672 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-06-16 15:10
Hmm, when I am going to delete the list in the docstring, I find other functions get lists too in inspect.py. So maybe we should open another issue to clean them after first merging this thread?
msg291581 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2017-04-13 02:38
New changeset a6902e662c18dc837d40664eaafe50a44aae6366 by Xiang Zhang in branch 'master':
bpo-26985: Add missing info of code object in inspect documentation (GH-1090)
https://github.com/python/cpython/commit/a6902e662c18dc837d40664eaafe50a44aae6366
msg291586 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2017-04-13 03:14
New changeset 14944c62300f741488c2f28cb91ad1e3fef7343b by Xiang Zhang in branch '3.6':
bpo-26985: Add missing info of code object in inspect documentation (GH-1090) (GH-1099)
https://github.com/python/cpython/commit/14944c62300f741488c2f28cb91ad1e3fef7343b
msg291588 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2017-04-13 03:37
New changeset 72b1d419ac5f7cd9ef82ffd2ffe21aa9b34e21d2 by Xiang Zhang in branch '3.5':
bpo-26985: Add missing info of code object in inspect documentation (GH-1090) (GH-1100)
https://github.com/python/cpython/commit/72b1d419ac5f7cd9ef82ffd2ffe21aa9b34e21d2
History
Date User Action Args
2017-04-13 03:38:14xiang.zhangsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-04-13 03:37:40xiang.zhangsetmessages: + msg291588
2017-04-13 03:14:19xiang.zhangsetmessages: + msg291586
2017-04-13 02:53:55xiang.zhangsetpull_requests: + pull_request1243
2017-04-13 02:53:13xiang.zhangsetpull_requests: + pull_request1242
2017-04-13 02:38:30xiang.zhangsetmessages: + msg291581
2017-04-12 10:16:47xiang.zhangsetpull_requests: + pull_request1233
2017-04-12 03:52:33xiang.zhangsettype: behavior ->
versions: + Python 3.7
2017-04-11 08:27:16martin.panterlinkissue30037 superseder
2016-06-16 15:10:32xiang.zhangsetmessages: + msg268672
2016-06-09 15:41:05berker.peksagsetmessages: + msg268033
2016-06-09 15:19:27xiang.zhangsetmessages: + msg268030
2016-06-08 12:06:39berker.peksagsetversions: + Python 3.5
nosy: + berker.peksag

messages: + msg267841

type: behavior
stage: patch review
2016-05-10 03:09:39xiang.zhangsetfiles: + inspect_doc.patch
keywords: + patch
messages: + msg265222
2016-05-09 14:11:42xiang.zhangcreate